From e24e98c68cbf09e3f9c4a5529750920f985897f4 Mon Sep 17 00:00:00 2001
From: Arimateia Jr <arimateia@outlook.com>
Date: Thu, 7 Nov 2019 09:03:07 -0300
Subject: [PATCH] =?UTF-8?q?Nuvem=20Fiscal:=20-=20Adicionado=20o=20IdCSC=20?=
 =?UTF-8?q?no=20arquivo=20de=20configura=C3=A7=C3=A3o=20(https://forum.lan?=
 =?UTF-8?q?dgraf.dev/t/id-do-csc-no-arquivo-de-configuracao-json/80)?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 NuvemFiscalServidor/NuvemFiscalServidorVcl.template.json | 1 +
 NuvemFiscalServidor/Server.Config.pas                    | 8 ++++++++
 NuvemFiscalServidor/nfce/NFCe.Emissor.pas                | 2 +-
 3 files changed, 10 insertions(+), 1 deletion(-)

diff --git a/NuvemFiscalServidor/NuvemFiscalServidorVcl.template.json b/NuvemFiscalServidor/NuvemFiscalServidorVcl.template.json
index a2b91ea..74c5e9e 100644
--- a/NuvemFiscalServidor/NuvemFiscalServidorVcl.template.json
+++ b/NuvemFiscalServidor/NuvemFiscalServidorVcl.template.json
@@ -27,6 +27,7 @@
 	"PathSchemas": "C:\\nfe\\schemas",
     "PathArquivos": "C:\\nfe\\ArquivosXML",
 	"DANFEFastFile": "C:\\nfe\\Report\\DANFeNFCe5_00.fr3",
+	"IdCSC": "1",
     "CSC": "ACBDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
 	"ResponsavelTecnicoEmissao": {
 	  "CNPJ": "123456780000199",
diff --git a/NuvemFiscalServidor/Server.Config.pas b/NuvemFiscalServidor/Server.Config.pas
index 4d1cc6c..d5a10a9 100644
--- a/NuvemFiscalServidor/Server.Config.pas
+++ b/NuvemFiscalServidor/Server.Config.pas
@@ -78,13 +78,16 @@ type
     FPathSchemas: string;
     FPathArquivos: string;
     FDANFEFastFile: string;
+    FIdCSC: string;
     FCSC: string;
     FResponsavelTecnicoEmissao: TResponsavelTecnicoEmissaoDFe;
   public
+    constructor Create;
     destructor Destroy; override;
     property PathSchemas: string read FPathSchemas write FPathSchemas;
     property PathArquivos: string read FPathArquivos write FPathArquivos;
     property DANFEFastFile: string read FDANFEFastFile write FDANFEFastFile;
+    property IdCSC: string read FIdCSC write FIdCSC;
     property CSC: string read FCSC write FCSC;
     property ResponsavelTecnicoEmissao: TResponsavelTecnicoEmissaoDFe read FResponsavelTecnicoEmissao write FResponsavelTecnicoEmissao;
   end;
@@ -188,6 +191,11 @@ end;
 
 { TNFCeConfig }
 
+constructor TNFCeConfig.Create;
+begin
+  FIdCSC := '1';
+end;
+
 destructor TNFCeConfig.Destroy;
 begin
   if Assigned(FResponsavelTecnicoEmissao) then
diff --git a/NuvemFiscalServidor/nfce/NFCe.Emissor.pas b/NuvemFiscalServidor/nfce/NFCe.Emissor.pas
index b1abda0..60f9e10 100644
--- a/NuvemFiscalServidor/nfce/NFCe.Emissor.pas
+++ b/NuvemFiscalServidor/nfce/NFCe.Emissor.pas
@@ -106,7 +106,7 @@ procedure TEmissorNFCe.ConfigurarComponente(AGeral: TGeralConfNFe);
 begin
   AGeral.ModeloDF         := TpcnModeloDF.moNFCe;
   AGeral.VersaoDF         := TpcnVersaoDF.ve400;
-  AGeral.IdCSC            := '1';
+  AGeral.IdCSC            := FConfig.NFCe.IdCSC;
   AGeral.CSC              := FConfig.NFCe.CSC;
   AGeral.VersaoQRCode     := TpcnVersaoQrCode.veqr200;
 
-- 
2.10.5

